-- @author  Stefan Geiger
-- @date  10/01/09
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

hupen = {};

function hupen.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function hupen:load(xmlFile)
    hornSoundFile = Utils.getFilename("horn.wav", self.baseDirectory);
    self.hornSoundId = createSample("hupen");
    loadSample(self.hornSoundId, hornSoundFile, false);
    self.hornPlaying = false;
end;

function hupen:delete()
    delete(self.hornSoundId);
end;

function hupen:mouseEvent(posX, posY, isDown, isUp, button)
end;

function hupen:keyEvent(unicode, sym, modifier, isDown)
end;

function hupen:update(dt)
    if self:getIsActiveForInput() and self:getIsActiveForSound() and InputBinding.isPressed(InputBinding.HONK) then
        if not self.hornPlaying then
            playSample(self.hornSoundId, 0, 1, 0);
            self.hornPlaying = true;
        end;
    else
        if self.hornPlaying then
            stopSample(self.hornSoundId);
            self.hornPlaying = false;
        end;
    end;
end;

function hupen:draw()
    g_currentMission:addHelpButtonText(g_i18n:getText("hupen"), InputBinding.HONK);
end;

